<id>
Add Email search to password reminder function
</id>

<version>
1.1beta1 SP1.2SP1.3
</version>

<mod info>
A minor mod that changes the Remind password function to allow the user to specify an email address or username.

Does case insensitive search for email address in case the capslock is on eother when registering or using the reminder.
Login name search is still case sensitive.
Error checking of user input included (lack of field specified).

If you have encrypted passwords installed, this mod will not work.

Instructions:
Apply mod
Upload english.lng and LogInOut.pl to the appropriate directories in ASCII

Version History:
1.1:
- Made SP1.2 and SP1.3 compatible.
- Now does appropriate search from one input box.
- Made patch file for Flood Protection mod.
1.0:
- Initial release
</mod info>

<author>
Seawolf
</author>

<homepage>
http://www.webappeal.com
</homepage>

<edit file>
english.lng
</edit file>

<search for>
if($MenuType == 1) {
</search for>

<add before>
# Begin add email search to remind mod
$remindemailtxt{'1'} = "Username <b>OR</b> Email address";
$remindemailtxt{'2'} = "No name or email was entered.";
$remindemailtxt{'3'} = "Unable to open memberlist.txt file, please inform the administrator";
$remindemailtxt{'4'} = "Unable to open a user file, please inform the administrator";
$remindemailtxt{'5'} = "Email match unsucessful";
# End add email search to remind mod
</add before>

<edit file>
Sources/LogInOut.pl
</edit file>

<search for>
        <td><font size="2">$txt{'35'}: <input type="text" name="user">
</search for>

<replace>
		<!-- # Begin add email search to remind mod -->
		<td><font size="2">$remindemailtxt{'1'}: <input type="text" name="user"></font></td></tr>
		<tr><td><font size="2">
		<!-- # End add email search to remind mod -->
</replace>

<search for>
$user = $FORM{'user'};
$user =~ s/\s/_/g;

fopen(FILE, "$memberdir/$user.dat") || &fatal_error("<b>$txt{'40'}</b>");
@member=<FILE>;
fclose(FILE);
$password = $member[0];
$name = $member[1];
$email = $member[2];
$status = $member[7];

chomp($name);
chomp($email);
chomp($password);
chomp($status);
</search for>

<replace>
# Begin add email search to remind mod
$reminder = $FORM{'user'};
$reminder =~ s/\s/_/g;
unless ($reminder) {&fatal_error("$remindemailtxt{'2'}");}
if ( $reminder =~ /\w@\w/ && $reminder =~ /\w\.\w/) {
   fopen(FILE, "$memberdir/memberlist.txt") || &fatal_error("$remindemailtxt{'3'}");
   @members=<FILE>;
   fclose(FILE);
   foreach $testuser (@members) {
   		   chomp ($testuser);
   		   fopen(FILE, "$memberdir/$testuser.dat") || &fatal_error("$remindemailtxt{'4'}");
		   @checkuser=<FILE>;
		   fclose(FILE);
		   $checkemail = $checkuser[2];
		   chomp($checkemail);
		   
		   # Check for an email match case insensitive
		   if ( (lc $checkemail) eq (lc $reminder) ) {
		   	  # We have a match, gather data and exit foreach loop
			  $user = $testuser;
			  $password = $checkuser[0];
			  $name = $checkuser[1];
			  $email = $checkuser[2];
			  $status = $checkuser[7];

			  chomp($name);
			  chomp($email);
			  chomp($password);
			  chomp($status);
			  last;
			  }
		}
	# Did we get data?
	if ($password eq "") {&fatal_error("$remindemailtxt{'5'}");}
} else { 	
$user = $reminder;
fopen(FILE, "$memberdir/$user.dat") || &fatal_error("$txt{'40'}");
@member=<FILE>;
fclose(FILE);
$password = $member[0];
$name = $member[1];
$email = $member[2];
$status = $member[7];


chomp($name);
chomp($email);
chomp($password);
chomp($status);
}
# End add email search to remind mod
</replace>